Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Interface PromptUserPassword4

All Superinterfaces:
  org.tigris.subversion.javahl.PromptUserPassword, org.tigris.subversion.javahl.PromptUserPassword2, org.tigris.subversion.javahl.PromptUserPassword3, PromptUserPasswordSSH

public interface PromptUserPassword4
extends PromptUserPasswordSSH

Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary

Fields inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`AccecptTemporary, AcceptPermanently, AcceptTemporary, Reject`

Methods inherited from interface org.tmatesoft.svn.core.javahl.PromptUserPasswordSSH
`getSSHPort, getSSHPrivateKeyPassphrase, getSSHPrivateKeyPath, promptSSH`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword3
`askQuestion, prompt, userAllowedSave`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`askTrustSSLServer`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword
`askQuestion, askYesNo, getPassword, getUsername, prompt`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.